opal/mca/paffinity/base/internal.h File Reference.TH "opal/mca/paffinity/base/internal.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/mca/paffinity/base/internal.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'mca/paffinity/paffinity.h'\fP
.br

.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC bool \fBopal_paffinity_base_selected\fP"
.br
.RI "\fIIndication of whether a component was successfully selected or not. \fP"
.ti -1c
.RI "OMPI_DECLSPEC const \fBopal_paffinity_base_component_1_0_0_t\fP * \fBopal_paffinity_base_component\fP"
.br
.RI "\fIGlobal component struct for the selected component. \fP"
.ti -1c
.RI "OMPI_DECLSPEC const \fBopal_paffinity_base_module_1_0_0_t\fP * \fBopal_paffinity_base_module\fP"
.br
.RI "\fIGlobal module struct for the selected module. \fP"
.ti -1c
.RI "OMPI_DECLSPEC bool \fBopal_paffinity_base_components_opened_valid\fP"
.br
.RI "\fIIndicator as to whether the list of opened paffinity components is valid or not. \fP"
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_list_t\fP \fBopal_paffinity_base_components_opened\fP"
.br
.RI "\fIList of all opened components; created when the paffinity framework is initialized and destroyed when we reduce the list to all available paffinity components. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_paffinity_base_output\fP"
.br
.RI "\fIDebugging output stream. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
